---
type: api
title: Get follower information
description: Get information about all cross-cluster replication follower indices.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v9/operation/operation-ccr-follow-info
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v9/operation/operation-ccr-follow-info
products:
  - Elasticsearch
---

# Get follower information

Availability: 6.7+

## Paths

- `GET` `/{index}/_ccr/info`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v9/authentication#basicauth)
- [Bearer auth](/elastic/docs-builder/docs/4371/api/doc/elasticsearch/v9/authentication#bearerauth)

#### Path Parameters

- `index` (union IndexName | [] IndexName)
  A comma-delimited list of follower index patterns.

## Description

Get information about all cross-cluster replication follower indices.
For example, the results include follower index names, leader index names, replication options, and whether the follower indices are active or paused.

## Required authorization

* Cluster privileges: `monitor`

[About cross-cluster replication](https://www.elastic.co/docs/deploy-manage/tools/cross-cluster-replication)

## Query String Parameters

- `master_timeout` (string Duration · default: 30s)
  The period to wait for a connection to the master node.
If the master node is not available before the timeout expires, the request fails and returns an error.
It can also be set to `-1` to indicate that the request should never timeout.

## Response

`application/json`

- `follower_indices` ([] FollowerIndex)
  - `follower_index` (string IndexName)
    The name of the follower index.
  - `leader_index` (string IndexName)
    The name of the index in the leader cluster that is followed.
  - `parameters` ({} FollowerIndexParameters)
    An object that encapsulates cross-cluster replication parameters. If the follower index's status is paused, this object is omitted.
    - `max_outstanding_read_requests` (number)
      The maximum number of outstanding reads requests from the remote cluster.
    - `max_outstanding_write_requests` (number)
      The maximum number of outstanding write requests on the follower.
    - `max_read_request_operation_count` (number)
      The maximum number of operations to pull per read from the remote cluster.
    - `max_read_request_size` (number | string ByteSize)
      The maximum size in bytes of per read of a batch of operations pulled from the remote cluster.
    - `max_retry_delay` (string Duration)
      The maximum time to wait before retrying an operation that failed exceptionally. An exponential backoff strategy is employed when
retrying.
    - `max_write_buffer_count` (number)
      The maximum number of operations that can be queued for writing. When this limit is reached, reads from the remote cluster will be
deferred until the number of queued operations goes below the limit.
    - `max_write_buffer_size` (number | string ByteSize)
      The maximum total bytes of operations that can be queued for writing. When this limit is reached, reads from the remote cluster will
be deferred until the total bytes of queued operations goes below the limit.
    - `max_write_request_operation_count` (number)
      The maximum number of operations per bulk write request executed on the follower.
    - `max_write_request_size` (number | string ByteSize)
      The maximum total bytes of operations per bulk write request executed on the follower.
    - `read_poll_timeout` (string Duration)
      The maximum time to wait for new operations on the remote cluster when the follower index is synchronized with the leader index.
When the timeout has elapsed, the poll for operations will return to the follower so that it can update some statistics.
Then the follower will immediately attempt to read from the leader again.
  - `remote_cluster` (string Name)
    The remote cluster that contains the leader index.
  - `status` (enum FollowerIndexStatus)
    The status of the index following: `active` or `paused`.
    Values: `active`, `paused`
## Code Examples

#### Console

```console
GET /follower_index/_ccr/info
```

#### JavaScript

```javascript
const response = await client.ccr.followInfo({
  index: "follower_index",
});
```

#### Python

```python
resp = client.ccr.follow_info(
    index="follower_index",
)
```

#### curl

```curl
curl -X GET "$ELASTICSEARCH_URL/follower_index/_ccr/info" \
  -H "Authorization: ApiKey $ELASTIC_API_KEY"
```

#### Java

```java
client.ccr().followInfo(f -> f
    .index("follower_index")
);
```

#### C#

```c#
var response = await client.CrossClusterReplication.FollowInfoAsync(indices: new[] { "follower_index" });
```

#### PHP

```php
$resp = $client->ccr()->followInfo([
    "index" => "follower_index",
]);
```

#### Ruby

```ruby
response = client.ccr.follow_info(
  index: "follower_index"
)
```

## Response Examples

#### An active follower index

A successful response from `GET /follower_index/_ccr/info` when the follower index is active.

```json
{
  "follower_indices": [
    {
      "follower_index": "follower_index",
      "remote_cluster": "remote_cluster",
      "leader_index": "leader_index",
      "status": "active",
      "parameters": {
        "max_read_request_operation_count": 5120,
        "max_read_request_size": "32mb",
        "max_outstanding_read_requests": 12,
        "max_write_request_operation_count": 5120,
        "max_write_request_size": "9223372036854775807b",
        "max_outstanding_write_requests": 9,
        "max_write_buffer_count": 2147483647,
        "max_write_buffer_size": "512mb",
        "max_retry_delay": "500ms",
        "read_poll_timeout": "1m"
      }
    }
  ]
}
```

#### A paused follower index

A successful response from `GET /follower_index/_ccr/info` when the follower index is paused.

```json
{
  "follower_indices": [
    {
      "follower_index": "follower_index",
      "remote_cluster": "remote_cluster",
      "leader_index": "leader_index",
      "status": "paused"
    }
  ]
}
```

